using System.Threading.Tasks;
using Microsoft.Azure.CognitiveServices.Vision.ComputerVision.Models;
using OpenCvSharp;

namespace squirrowse.web.Cognitive
{
    public interface IAzureCV
    {
        Task<DetectResult> GetObjects(Mat frame);
        Task<Mat> DrawResults(Mat frame, DetectResult result);
    }
}